Home

# Class goog.testing.fs.FileReader

A mock FileReader object. This emits the same events as {@link goog.fs.FileReader}.

extends goog.events.EventTarget

Instance Method Summary
| `abort()`
| `abort_(number total)` Abort the current action and emit appropriate events.
| `getError() ⇒ ?goog.fs.Error`
| `getReadyState() ⇒ ?goog.fs.FileReader.ReadyState`
| `getResult() ⇒ <Any Type>`
| `progressEvent_(?goog.fs.FileReader.EventType type, number loaded, number total)` Dispatch a progress event.
| `readAsArrayBuffer(!goog.testing.fs.Blob blob)`
| `readAsBinaryString(!goog.testing.fs.Blob blob)`
| `readAsDataUrl(!goog.testing.fs.Blob blob)`
| `readAsText(!goog.testing.fs.Blob blob, string= opt_encoding)`
| `read_(!goog.testing.fs.Blob blob)` Fires the read events.